Update Chat Settings
curl --request PUT \
--url https://api.vellaro.io/api/v1/admin/chat/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"system_prompt_template": "<string>",
"brand_voice": "<string>",
"welcome_message": "<string>",
"welcome_message_i18n": {},
"starter_prompts": [
"<string>"
],
"starter_prompts_i18n": {},
"excluded_category_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"banned_phrases": [
"<string>"
],
"primary_model_override": "<string>",
"safety_model_override": "<string>",
"embedding_provider": "<string>",
"embedding_model": "<string>",
"embedding_api_key": "<string>",
"monthly_budget_cents": 1,
"rollout_percent": 50
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/chat/settings"
payload = {
"enabled": True,
"system_prompt_template": "<string>",
"brand_voice": "<string>",
"welcome_message": "<string>",
"welcome_message_i18n": {},
"starter_prompts": ["<string>"],
"starter_prompts_i18n": {},
"excluded_category_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"banned_phrases": ["<string>"],
"primary_model_override": "<string>",
"safety_model_override": "<string>",
"embedding_provider": "<string>",
"embedding_model": "<string>",
"embedding_api_key": "<string>",
"monthly_budget_cents": 1,
"rollout_percent": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
system_prompt_template: '<string>',
brand_voice: '<string>',
welcome_message: '<string>',
welcome_message_i18n: {},
starter_prompts: ['<string>'],
starter_prompts_i18n: {},
excluded_category_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
banned_phrases: ['<string>'],
primary_model_override: '<string>',
safety_model_override: '<string>',
embedding_provider: '<string>',
embedding_model: '<string>',
embedding_api_key: '<string>',
monthly_budget_cents: 1,
rollout_percent: 50
})
};
fetch('https://api.vellaro.io/api/v1/admin/chat/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"system_prompt_template": "<string>",
"brand_voice": "<string>",
"welcome_message": "<string>",
"starter_prompts": [
"<string>"
],
"excluded_category_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"banned_phrases": [
"<string>"
],
"primary_model_override": "<string>",
"safety_model_override": "<string>",
"embedding_provider": "<string>",
"embedding_model": "<string>",
"has_embedding_api_key": true,
"monthly_budget_cents": 123,
"current_month_cents": 123,
"rollout_percent": 123,
"updated_at": "2023-11-07T05:31:56Z",
"welcome_message_i18n": {},
"starter_prompts_i18n": {}
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin:chat
Update Chat Settings
PUT
/
api
/
v1
/
admin
/
chat
/
settings
Update Chat Settings
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
All fields optional — partial update. Pass enabled=true to flip
the master switch; null on other fields means "leave as is".
Maximum string length:
500Maximum string length:
500Show child attributes
Show child attributes
Maximum array length:
8Show child attributes
Show child attributes
Maximum array length:
50Maximum string length:
120Maximum string length:
120Maximum string length:
40Maximum string length:
80Maximum string length:
255Intervallo richiesto:
x >= 0Intervallo richiesto:
0 <= x <= 100⌘I